wait_data Struct Reference

## Data Fields

rb_pid_t | pid
int | status

## Detailed Description

Definition at line 595 of file process.c.

## Field Documentation

rb_pid_t wait_data::pid

Definition at line 596 of file process.c.

Referenced by detach_process_watcher(), id_pid(), proc_wait(), proc_wait2(), proc_waitall(), rb_waitpid(), and wait_each().

int wait_data::status

Definition at line 597 of file process.c.

Referenced by detach_process_watcher(), proc_wait(), proc_waitall(), rb_proc_exec(), rb_waitpid(), and wait_each().

The documentation for this struct was generated from the following file:

- process.c